TAAS - Feature #142

POS & PG Report
02/02/2023 03:09 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 03/03/2023
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 20:00 hours
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Credit Card POS Report

Description

Coding Credit Card POS Report

History

#1 - 03/03/2023 10:51 AM - Junaid M
- Status changed from New to Open

- % Done changed from 0 to 10

#2 - 03/03/2023 10:51 AM - Junaid M
- Assignee changed from Junaid M to Christy Saint

#3 - 03/03/2023 02:32 PM - Christy Saint

- Status changed from Open to Coding Started

- Start date changed from 02/02/2023 to 03/03/2023
- % Done changed from 10 to 40

#4 - 03/08/2023 01:37 PM - Junaid M
- File SQL-POS-REPORT.sql added

#5 - 03/16/2023 10:09 AM - Christy Saint
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

Paid tab not test, afterrefund

#6 - 03/16/2023 04:43 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Use dd/mm/yyyy format on grid

2.Set alignment on grid

(Received Amount- Head)

3.Use proper head on grid

(Reconciliation Number - Full Form)

4 Fix error while choose Currency - Base 1 & 2

(Column 'dbl_ledg_cur_debit' does not belong to table Table.)

#7 - 03/16/2023 05:15 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60
#8 - 03/17/2023 06:03 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Report values must be converted

(While choose Base 1 & 2)

2.Set proper validation on date picker

(FROM date must be less than TO date)
3.Resize grid column

(Date , Received Amount , Document, Narration)

#9 - 03/21/2023 11:02 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#10 - 03/21/2023 05:16 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Use CODE:NAME format on selection box
(Credit Card & POS PG)

2.Remove empty icon from date picker
3.Fix bugs on Date picker

(Expand & Collapse)

#11 - 03/22/2023 10:16 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

Data getting module of paid tab in grid is not done

#12 - 05/18/2023 04:30 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Add grid summary

2.Remove ledger currency

3.Paid reports not displaying on grid

4.Fix bugs on grid - resizing when tap on search button
5.Set right alignment on amount

#13 - 05/22/2023 04:25 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#14 - 07/04/2023 06:03 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSSUE FOUNDED

1.ADD SEARCH OPTION FOR POS AND ACCOUNT ON GRID
2.CORRECT THE SPELLING reconciled to Reconciled

#15 - 07/17/2023 06:45 PM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#16 - 07/28/2023 03:56 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

Ul CHANGES

1.CHARGE TO CARD MULTI DROPDOWN GROUPED
2.POS/ID MULTI SELECT

#17 - 08/20/2023 11:41 AM - Christy Saint
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#18 - 09/04/2023 04:20 PM - unnikannan S
TESTING DONE

#19 - 10/21/2023 11:40 AM - unnikannan S

- Subject changed from Credit Card POS Report to POS & PG Report

#20 - 10/28/2023 01:18 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50
ISSUE FOUNDED
1.NO DATA FROM CORPORATE CARD POS/PG
#21 - 10/28/2023 01:19 PM - unnikannan S
unnikannan S wrote in #note-20:
ISSUE FOUNDED

1.NO DATA FROM CORPORATE CARD POS/PG
2.ERASE TOOL BAR NOT WORKING

#22 - 11/01/2023 09:18 PM - Junaid M

- Assignee changed from Christy Saint to Abhiram Venu

#23 - 11/07/2023 04:30 PM - Seema Mathew
- Tested By changed from unnikannan S to Seema Mathew
ISSUE FOUNDED****

1.CORRECT THE ALIGNMENT TOTAL AMT IN PRINT
2.NO DATA IN RECEIPT CHOOSING EDIT MODE.(DONE)

#24 - 11/10/2023 10:22 AM - Junaid M

- Assignee changed from Abhiram Venu to Shahil Haris

#25 - 11/14/2023 11:49 AM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#26 - 11/14/2023 11:54 AM - Shahil Haris
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#27 - 11/28/2023 05:31 PM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#28 - 12/02/2023 05:56 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.REMOVE ALL SELECT OPTION WHILE CHOOSING ONE ITEM FROM LIST (done)

2.CORRECT NEW BUTTON FUNCTION (done)

3.CHANGE BLANK OPTION TO LEDGER CURRENCY IN CURRENCY FILTER FIELD

#29 - 12/06/2023 12:04 PM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#30 - 12/07/2023 01:57 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOW BASE 1 QAR CURRENCY AS DEFAULT IN FILTER
2.UNFREEZE GRID WHILE SELECTING NEW BUTTON

#31 - 12/07/2023 05:14 PM - Shahil Haris
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#32 - 12/07/2023 06:17 PM - Anonymous
ISSUE FOUNDED

Done 1.SHOW DATAS WHILE CHOOSING LEDGER CURRENCY

Fixed 2.SHOW SELECTED CARD STATUS AS ALL IN PRINT. WHILE CHOOSING ALL CARDS AND SEARCH IN Ul

#33 - 01/19/2024 12:35 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#34 - 01/19/2024 12:37 PM - unnikannan S

- Assignee changed from Shahil Haris to Junaid M

#35 - 01/20/2024 09:49 AM - Anil KV
- Assignee changed from Junaid M to Amal Siby

#36 - 01/30/2024 05:07 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#37 - 01/31/2024 11:29 AM - unnikannan S
TESTING DONE

#38 - 01/31/2024 11:37 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
Fixed 1.DONT CLEAR CURRENCY FIELD DATA WHILE CHOOSING NEW BUTTON
#39 - 01/31/2024 11:50 AM - Amal Siby

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#40 - 04/06/2024 12:24 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
Fixed 1.SHOW DATA AS PER SELECTED OPTIONS CARD MULTY SELECTION IN Ul
#41 - 04/18/2024 05:06 PM - Amal Siby

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#42 - 04/19/2024 10:03 AM - unnikannan S
TESTING DONE

#43 - 04/19/2024 10:05 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

Done 1.Change Grid Column Names To POS/PG,Document No
Done 2.Fix Bugs On Re-Direction In Case Of Reversal

#44 - 04/27/2024 02:49 PM - Anonymous
- Assignee changed from Amal Siby to Nithin Raj

#45 - 04/30/2024 04:26 PM - Nithin Raj
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#46 - 04/30/2024 06:05 PM - unnikannan S
TESTING DONE

#47 - 09/27/2024 08:10 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Load Reco No In List

#48 - 09/28/2024 12:35 PM - Anil KV
Changes:-

—-> Received Columns

Date | Account | Document No | Card Number | Issued Bank | Authorised Code
| Reference | Narration
—->Hide Paid tab (So all tab hiden)

#49 - 09/30/2024 02:49 PM - Anil KV

- Assignee changed from Nithin Raj to Sreeranjini T

#50 - 09/30/2024 06:27 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#51 - 10/07/2024 03:13 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

Incorrect data in card number, issued bank and authorized code columns.

#52 - 10/09/2024 09:32 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#53 - 01/01/2025 04:29 PM - Arathy PS

- File clipboard-202501011629-6zbth.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE Found

1. Reco no: not showing in the column when reconciliation is done. - Nedd to Fix pospg Reconciliation
2. Fixed - Wrong data in the party column.

“Travvise POS & PG Report 22| =1 v -

urrency | Base1(QAR)

Received

Y a B 8 &

#  Date Account DocumentNo | Card Number  Issued Bank Authorised C.. Received Amount | Party Reco No Reference Narration

1 01/01/2025 CRCOO1:: Credit

RV/007 0032 950.95Dr | Credit/Debit Card Receipt, ... aid Through ... | Credit/Debit Card Receipt, Paid Through

2 01/01/2025 €OC001: Corporate Card o... | RV/008 0024 5Bl ATOD1 901.80Dr | Coporate Card Receipt, Pai Coporate Card Receipt, Paid Through CO...  Coporate Card Receipt, Paid Through CO.

Total QAR 1852.75

3.Cant select the card

#54 - 01/06/2025 10:43 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#55 - 01/06/2025 10:46 AM - Sreeranjini T
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50
#56 - 01/10/2025 09:49 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#57 - 01/21/2025 04:24 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1.Add redirection to the document no: and reco no:
2.Not showing data when currency is ledger currency.
3.In print document-->change to doc no:, increase length of account no: a bit.

#58 - 01/22/2025 04:07 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#59 - 04/01/2025 05:26 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue Fixed

1)On redirecting by clicking doc number data is not loading in respective modules
2)cr/dr is not mentioned in total amount in the print

3)based on currency (with roe) amount is not changing

Data from asset sale module is not showing here - need to fix from Asset Sale/write off

#60 - 04/05/2025 09:30 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

Files
SQL-POS-REPORT.sql 1.09 KB 03/08/2023 Junaid M
clipboard-202501011629-6zbth.png 128 KB 01/01/2025 Arathy PS
